io.agora.rtc

## Enum Constants.AecSuppressionMode

- java.lang.Object
- - java.lang.Enum<Constants.AecSuppressionMode>
  - - io.agora.rtc.Constants.AecSuppressionMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Constants.AecSuppressionMode>
  Enclosing class:
    Constants

      public static enum Constants.AecSuppressionMode
      extends java.lang.Enum<Constants.AecSuppressionMode>

  The Aec Suppression Level.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AGGRESSIVE_AEC` AggressiveAec: (Default) aggressive Aec suppression level.
    `EXTREME_AEC` ExtremeAec: extreme Aec suppression level.
    `MILD_AEC` MildAec: mild Aec suppression level.
    `NORMAL_AEC` NormalAec: normal Aec suppression level.
    `SUPER_AGGRESSIVE_AEC` SuperAggressiveAec: super Aec suppression level.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `value` Integer value of the AEC suppression mode

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Constants.AecSuppressionMode` | `fromInt(int value)` Converts an integer value to its corresponding AecSuppressionMode enum constant.
    `int` | `getValue()` Gets the integer value of the AecSuppressionMode.
    `static Constants.AecSuppressionMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Constants.AecSuppressionMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MILD_AEC

          public static final Constants.AecSuppressionMode MILD_AEC

      MildAec: mild Aec suppression level.

    - #### NORMAL_AEC

          public static final Constants.AecSuppressionMode NORMAL_AEC

      NormalAec: normal Aec suppression level.

    - #### AGGRESSIVE_AEC

          public static final Constants.AecSuppressionMode AGGRESSIVE_AEC

      AggressiveAec: (Default) aggressive Aec suppression level.

    - #### SUPER_AGGRESSIVE_AEC

          public static final Constants.AecSuppressionMode SUPER_AGGRESSIVE_AEC

      SuperAggressiveAec: super Aec suppression level.

    - #### EXTREME_AEC

          public static final Constants.AecSuppressionMode EXTREME_AEC

      ExtremeAec: extreme Aec suppression level.

  - ### Field Detail

    - #### value

          private final int value

      Integer value of the AEC suppression mode

  - ### Method Detail

    - #### values

          public static Constants.AecSuppressionMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.AecSuppressionMode c : Constants.AecSuppressionMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.AecSuppressionMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Gets the integer value of the AecSuppressionMode.
      Returns:
        The integer value.

    - #### fromInt

          public static Constants.AecSuppressionMode fromInt(int value)

      Converts an integer value to its corresponding AecSuppressionMode enum constant.
      Parameters:
        `value` - The integer value.
      Returns:
        The corresponding AecSuppressionMode, or null if the value is not found.